#!/usr/bin/env python

from distutils.core import setup

import mml

setup( name = "PyMML",
       version = mml.__version__,
       author = "Paul Harrison",
       author_email = "pfh at logarithmic dot net",
       url = "http://www.logarithmic.net/pfh/pymml",
       license = "GPL",
       description = "A library of MML estimators.",
       long_description = 
"""A library of MML estimators, based on the book "Statistical and 
Inductive Inference by Minimum Message Length".

Includes estimators for discrete, Gaussian, multivariate Gaussian,
regression, single hidden factor, and mixture models.
""",
       packages = ["mml"],
       options = {"sdist":{"force_manifest":True}} 
)


